Summary: smeserver specific mysql57 configuration and templates.
%define name smeserver-mysql57
Name: %{name}
%define version 2.0.0
%define release 15
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-mysql57-2.0.0-SME10096.patch
Patch1: smeserver-mysql57-2.0.0-SME10145-phmyadminFragment.patch
Patch2: smeserver-mysql57-2.0.0-SME10146-aliases.patch
Patch3: smeserver-mysql57-2.0.0-SME10147-rhpath.patch
Patch4: smeserver-mysql57-2.0.0-SME10148.patch
Patch5: smeserver-mysql57-2.0.0-SME10148-initializeDB.patch
Patch6: smeserver-mysql57-2.0.0-SME10148-initializeDB2.patch
Patch7: smeserver-mysql57-2.0.0-SME10197.patch
Patch8: smeserver-mysql57-2.0.0-SME10202-prebackup.patch
Patch9: smeserver-mysql57-2.0.0-SME10830-user.frm.patch
Patch10: smeserver-mysql57-2.0.0-bz11877-systemd.patch
Patch11: smeserver-mysql57-2.0.0-bz11896-initscripts.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: rh-mysql57
Requires: e-smith-base
Requires: e-smith-lib >= 1.15.1-19

BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%changelog
* Sat Mar 12 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.0-15.sme
- fix mysql.init and few other scripts [SME: 11896]

* Thu Feb 24 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.0-14.sme
- expand phpmyadmin config file on install [SME: 11877]

* Wed Feb 23 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.0-13.sme
- adapt for SME10 [SME: 11877]
  systemd service files
  update event
  changing paths

* Thu Nov 21 2019 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.0-12.sme
- fix reload dump when should not  [SME: 10830]

* Mon Apr 03 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.0-11.sme
- fix pre-backup failure [SME: 10202]

* Thu Mar 30 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.0-10.sme
- fix initialize and load table [SME: 10197]

* Wed Mar 15 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.0-9.sme
- some more modification to allow initialization [SME: 10148]
- error log was missing stoping initialization
- tweaking log format for system time

* Sun Mar 12 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.0-7.sme
- update run file and template paths [SME: 10148]
- r8: add link for configuration ln -s /etc/opt/rh/rh-mysql57 /opt/rh/rh-mysql57/root/etc
- update run, set.password and my.cnf for rh-mysql57

* Sun Mar 12 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.0-6.sme
- fix wrong path /opt/rh/mysql57/ [SME: 10147]

* Sun Mar 12 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.0-5.sme
- NFR new aliases for fast use: mysql57 mysqlshow57 mysqladmin57 mysqldump57 mysqlimport57 mysqlbinlog57 [SME: 10146]

* Sun Mar 12 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.0-4.sme
- fix conflict with mysql55 phpmyadmin fragment [SME: 10145]

* Wed Mar 08 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.0-3.sme
- fix init57 not used by dedicated mysql.init [SME: 10096]

* Sun Feb 19 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.0-2.sme
- fix requires rh-myql57

* Sun Feb 19 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.0-1.sme
- first version forked from smeserver-mysql57-2.0.0-5


%description
This package adds necessary startup and configuration items for
mysql57.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
mkdir -p root/etc/e-smith/sql/init57
#mkdir -p root/opt/rh/rh-mysql57/root
perl createlinks

# add this for mysql.com rpm compatibility 
#mkdir -p root/var/run/mysql57-mysqld
# we hould we rather link to the actual dir in opt , done in createlinks

#mkdir -p root/etc/rc.d/init.d/supervise
#ln -s ../daemontools root/etc/rc.d/init.d/supervise/mysql57-mysqld

#mkdir -p root/etc/rc.d/rc7.d
#ln -s /etc/rc.d/init.d/e-smith-service root/etc/rc.d/rc7.d/S50mysql57-mysqld
#ln -s /etc/rc.d/init.d/e-smith-service root/etc/rc.d/rc7.d/S99mysql57-mysql.init

#mkdir -p root/service
#ln -s /var/service/mysql57-mysqld root/service
#touch root/var/service/mysql57-mysqld/down

rm -rf root/var/service
mkdir -p root/var/log/mysql57-mysqld
mkdir -p root/home/e-smith/db/mysql57
rm -rf root/etc/e-smith/templates.metadata/var/service
rm -rf root/service
rm -rf root/etc/e-smith/templates/opt
rm -rf root/etc/e-smith/templates/var/service

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --file /sbin/e-smith/systemd/mysql57-initialize 'attr(0757,mysql,mysql)' \
    --file /sbin/e-smith/systemd/mysql57-mysql.init 'attr(0757,mysql,mysql)' \
    --dir /var/log/mysql57-mysqld 'attr(2750,root,root)' \
    --dir /home/e-smith/db/mysql57 'attr(0750,root,root)' \
| grep -vP '/opt/rh/rh-mysql57$' \
| grep -vP '/opt/rh/rh-mysql57/root$' \
    > %{name}-%{version}-filelist
#--dir /var/run/mysql57-mysqld 'attr(0757,mysql,mysql)' \
echo "%doc COPYING"          >> %{name}-%{version}-filelist
# /opt/rh/rh-mysql57 and /opt/rh/rh-mysql57/root conflicts 


%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%preun

%post
## mysql.com compatibility
#[ -e /etc/rc.d/init.d/mysql57-mysqld ] || ln -s ./mysql /etc/rc.d/init.d/mysql57-mysqld

%postun
#if [ "$1" == 0 ]; then
#  [ -L /etc/rc.d/init.d/mysql57-mysqld ] && rm /etc/rc.d/init.d/mysql57-mysqld || :
#fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
